"""
Tests for the frontend app templates (urls wiring and crucial content).
"""

from http import HTTPStatus

from django.urls import reverse


def test_index(client):
    """
    Does the welcome page display fine and deliver HTMX?
    """
    # We must ignore hash in asset names generated by WhiteNoise
    stylesheet = '<link rel="stylesheet" href="/static/frontend/main.'
    htmx_script_tag = '<script src="/static/frontend/htmx.min.'
    htmx_script_defer = '.js" defer></script>'
    htmx_debug_helper = 'src="/static/django-htmx.js"'

    url_path = reverse("index")
    response = client.get(url_path)
    page = response.content.decode()

    assert response.status_code == HTTPStatus.OK
    assert "<title>Hello from Charmed Django! · Charmed Django" in page
    assert "<h1>Hello from Charmed Django!</h1>" in page
    assert stylesheet in page
    assert htmx_script_tag in page
    assert htmx_script_defer in page
    assert htmx_debug_helper not in page
